var eng = new Array();
adhiyan_setEnc("english");
var oldloc = "" ;
var appcontent = document.getElementById("appcontent"); //browser
var messagepane = document.getElementById("messagepane");   //mail

function adhiyan_isWS(text)
{
	return !(/[^\t\n\r ]/.test(text));
}

function adhiyan_convWin()
{
	var page = content
    if (!page || !page.location || page.location.toString().match('^about:') ||
    		page.location.host == undefined )
        return;
	var newloc = page.location;
    if(oldloc != newloc)
    {
		oldloc = newloc;
		if(adhiyan_selEnc != "english")
		{
			if(page.frames.length != 0)
			{
				var script1 = page.document.createElement("SCRIPT");
				script1.src = 'chrome://adhiyan/content/adhiyaman.js';
				script1.type = 'text/javascript';
				var script2 = content.document.createElement("SCRIPT");
				script2.src = 'chrome://adhiyan/content/'+adhiyan_selEnc+'.js';
				script2.type = 'text/javascript';
				var script3 = content.document.createElement("SCRIPT");
				script3.src = 'chrome://adhiyan/content/adhiyan.js';
				script3.type = 'text/javascript';
				var head = page.document.getElementsByTagName('head').item(0);
				head.appendChild(script1);
				head.appendChild(script2);
				head.appendChild(script3);
				var frm = page.document.getElementsByTagName('frame');
				for(var i=0;i<frm.length;++i )
				{
					frm[i].setAttribute("onload", "adhiyan_selEnc='"+adhiyan_selEnc+"';adhiyan_convFrWin(this)");
				}
			}
			else
			{
				//REPLACE THE TEXT WITH UNICODE ENCODED TEXT
				var body = page.document.getElementsByTagName('body');
				for(var i=0;i<body.length;++i )
					adhiyan_modTxt(body[i]);
			}
		}
		return true;
	}
}

function adhiyan_convFrWin(frmelem)
{
	page = frmelem.contentWindow;
	var body = page.document.getElementsByTagName('body');
	for(var i=0;i<body.length;++i )
		adhiyan_modTxt(body[i]);
}


function adhiyan_fixAlign(obj)
{
	if(!obj) return;

	if(obj.style)
	{
		var objStyle = window.getComputedStyle(obj, '');
		if(objStyle.textAlign.length == 7 && !window.opera)
		{
			obj.style.textAlign = "left";
		}

		if(objStyle.letterSpacing.length!=0 && objStyle.letterSpacing.length!=6 )
		{
			obj.style.letterSpacing = "normal";
		}

		if(objStyle.wordSpacing.length!=0 && objStyle.wordSpacing.length!=6 && !window.opera)
		{
			obj.style.wordSpacing = "normal";
		}

	}
}


function adhiyan_modTxt(node)
{
	if(node == null)
		return;
	adhiyan_fixAlign(node);
	if(node.nodeType == 3)
	{
		if(adhiyan_isWS(node.nodeValue))
			return;
		var parent = node.parentNode;
        if (parent.nodeType == 1)
        {
			node.replaceData(0, node.length, adhiyan_convEnc(node.nodeValue));
		}
	}
	//Ignore comment nodes and script nodes
    else if (node.nodeType != 8 && (node.nodeType != 1 || !(node instanceof HTMLScriptElement)))
    {
		for(var k=0;k<node.childNodes.length;++k)
			adhiyan_modTxt(node.childNodes.item(k));
	}
}

function adhiyan_doProc(enc)
{
	if(enc == adhiyan_selEnc)
		return;
	oldloc = "" ;
	adhiyan_setEnc(enc);
	document.getElementById('englishcxt').setAttribute("checked","false");
	document.getElementById('tsciicxt').setAttribute("checked","false");
	document.getElementById('tunecxt').setAttribute("checked","false");
	document.getElementById(enc+'cxt').setAttribute("checked","true");
	if(document.getElementById('englishmnu') != null )
	{
		document.getElementById('englishmnu').setAttribute("checked","false");
		document.getElementById('tsciimnu').setAttribute("checked","false");
		document.getElementById('tunemnu').setAttribute("checked","false");
		document.getElementById(enc+'mnu').setAttribute("checked","true");
		content.location.reload();
	}
}


function adhiyan_InitWindow()
{
//Handle background loads in the browser
if (appcontent)
	appcontent.addEventListener("DOMContentLoaded", adhiyan_convWin, true);
if (messagepane)
	messagepane.addEventListener("DOMContentLoaded", adhiyan_convWin, true);
	adhiyan_setAccessKeys();
}

window.addEventListener("load",adhiyan_InitWindow,true);